/* ****************************************************************************
 *
 * Copyright (c) Microsoft Corporation. 
 *
 * This source code is subject to terms and conditions of the Microsoft Permissive License. A 
 * copy of the license can be found in the License.html file at the root of this distribution. If 
 * you cannot locate the  Microsoft Permissive License, please send an email to 
 * ironruby@microsoft.com. By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Permissive License.
 *
 * You must not remove this notice, or any other, from this software.
 *
 *
 * ***************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;
using Ruby.Runtime;
using Microsoft.Scripting;
using Microsoft.Scripting.Actions;
using MSA = Microsoft.Scripting.Ast;

namespace Ruby.Builtins {

    [RubyClass, Includes(typeof(Enumerable))]
    public abstract class Numeric : Object {
        
        // [SpecialName] on operators?

        //[RubyMethod("+@")]
        //public static Numeric UnaryPlus() {
        //    return null;
        //}

        //[RubyMethod("-@")]
        //public static Numeric UnaryMinus() {
        //    return null;
        //}

        //[RubyMethod("<=>")]
        //public static object Compare() {
        //    // returns 0 or nil
        //    return null;
        //}

        [RubyMethod("to_int", RubyMethodAttributes.PublicInstance)]
        public static int ToInt(object self) {
            return RubySites.ToI(self);
        }

        // abs
        // ceil
        // coerce
        // div
        // divmod
        // eql?
        // floor
        // integer?
        // modulo
        // nonzero?
        // quo
        // remainder
        // round
        // step
        // to_int
        // truncate
        // zero?
    }
}
