/* ****************************************************************************
 *
 * Copyright (c) Microsoft Corporation. 
 *
 * This source code is subject to terms and conditions of the Microsoft Permissive License. A 
 * copy of the license can be found in the License.html file at the root of this distribution. If 
 * you cannot locate the  Microsoft Permissive License, please send an email to 
 * ironruby@microsoft.com. By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Permissive License.
 *
 * You must not remove this notice, or any other, from this software.
 *
 *
 * ***************************************************************************/

using System.Collections.Generic;
using System.Collections;
using System.Diagnostics;
using Microsoft.Scripting;
using System;

using MSA = Microsoft.Scripting.Ast;

namespace Ruby.Compiler.AST {

    public class LHS_STAR : LeftValue {
        // *arrayParam

        public LeftValue arrayParam;		// optional

        public LHS_STAR(LeftValue arrayParam, SourceSpan location)
            : base(location) {
           this.arrayParam = arrayParam;
        }

        public override MSA.Expression/*!*/ TransformWrite(AstGenerator/*!*/ gen, MSA.Expression/*!*/ rightValue) {
            throw new NotImplementedException("TODO");
        }
    }
}