/* ****************************************************************************
 *
 * Copyright (c) Microsoft Corporation. 
 *
 * This source code is subject to terms and conditions of the Microsoft Permissive License. A 
 * copy of the license can be found in the License.html file at the root of this distribution. If 
 * you cannot locate the  Microsoft Permissive License, please send an email to 
 * ironruby@microsoft.com. By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Permissive License.
 *
 * You must not remove this notice, or any other, from this software.
 *
 *
 * ***************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;
using MSA = Microsoft.Scripting.Ast;
using Microsoft.Scripting;

namespace Ruby.Compiler.AST {
    public class ClassVariable : Variable      // Class Variable
    {
        private LexicalScope parent_scope;

        public override string NodeName { get { return "class variable"; } }

        public ClassVariable(LexicalScope parent_scope, SymbolId vid, SourceSpan location)
            : base(vid, location) {
            this.parent_scope = parent_scope;
        }

        public override MSA.Expression/*!*/ TransformWrite(AstGenerator/*!*/ gen, MSA.Expression/*!*/ rightValue) {
            throw new NotImplementedException("TODO");
        }
    }
}
