/* ****************************************************************************
 *
 * Copyright (c) Microsoft Corporation. 
 *
 * This source code is subject to terms and conditions of the Microsoft Permissive License. A 
 * copy of the license can be found in the License.html file at the root of this distribution. If 
 * you cannot locate the  Microsoft Permissive License, please send an email to 
 * ironruby@microsoft.com. By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Permissive License.
 *
 * You must not remove this notice, or any other, from this software.
 *
 *
 * ***************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace Ruby.Compiler
{
    // MultiByte character handling - needs fixing ...
    public class MultiByteChar
    {
        public static bool ismbchar(char c)
        {
            return char.IsSurrogate(c);
        }

        public static int mbclen(char c)
        {
            return 1;
        }
    }
}
